[Bug 238089] lang/mono: A newer version is available 5.20 (2019-04) (5.10.0 dates to 2018-02)

classic Classic list List threaded Threaded
16 messages Options
Reply | Threaded
Open this post in threaded view
|

[Bug 238089] lang/mono: A newer version is available 5.20 (2019-04) (5.10.0 dates to 2018-02)

bugzilla-noreply
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238089

            Bug ID: 238089
           Summary: lang/mono: A newer version is available 5.20 (2019-04)
                    (5.10.0 dates to 2018-02)
           Product: Ports & Packages
           Version: Latest
          Hardware: Any
                OS: Any
            Status: New
          Severity: Affects Only Me
          Priority: ---
         Component: Individual Port(s)
          Assignee: [hidden email]
          Reporter: [hidden email]
          Assignee: [hidden email]
             Flags: maintainer-feedback?([hidden email])

--
You are receiving this mail because:
You are the assignee for the bug.
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-mono
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

maintainer-feedback requested: [Bug 238089] lang/mono: A newer version is available 5.20 (2019-04) (5.10.0 dates to 2018-02)

bugzilla-noreply
Bugzilla Automation <[hidden email]> has asked freebsd-mono mailing list
<[hidden email]> for maintainer-feedback:
Bug 238089: lang/mono: A newer version is available 5.20 (2019-04) (5.10.0
dates to 2018-02)
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238089
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-mono
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

[Bug 238089] lang/mono: Update to 5.20 (5.10.0 dates to 2018-02)

bugzilla-noreply
In reply to this post by bugzilla-noreply
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238089

Kubilay Kocak <[hidden email]> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|New                         |Open
            Summary|lang/mono: A newer version  |lang/mono: Update to 5.20
                   |is available 5.20 (2019-04) |(5.10.0 dates to 2018-02)
                   |(5.10.0 dates to 2018-02)   |
           Keywords|                            |needs-patch

--
You are receiving this mail because:
You are the assignee for the bug.
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-mono
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

[Bug 238089] lang/mono: Update to 5.20 (5.10.0 dates to 2018-02)

bugzilla-noreply
In reply to this post by bugzilla-noreply
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238089

Dave Curylo <[hidden email]> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |[hidden email]
                   |                            |om

--- Comment #1 from Dave Curylo <[hidden email]> ---
Created attachment 204600
  --> https://bugs.freebsd.org/bugzilla/attachment.cgi?id=204600&action=edit
Patch for port of lang/mono 5.20.1.19

Many of the changes needed for mono 5.10 were rolled into upstream by time this
5.20.1.19 was released, so this removes those patches. Also changes were made
in mono/tests/Makefile.am and mono/utils/mono-state.c for FreeBSD support in
upstream, but they didn't make it in time for the 5.20.1.19 cut, so this patch
accounts for those as well.

--
You are receiving this mail because:
You are the assignee for the bug.
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-mono
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

[Bug 238089] lang/mono: Update to 5.20 (5.10.0 dates to 2018-02)

bugzilla-noreply
In reply to this post by bugzilla-noreply
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238089

--- Comment #2 from Dave Curylo <[hidden email]> ---
Coincidentally I was working on this earlier this week, so I completed and
tested a patch, and attached to this issue.  Please review and let me know if
anything else is needed, otherwise it will be nice to bump up to this newer
mono release.

--
You are receiving this mail because:
You are the assignee for the bug.
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-mono
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

[Bug 238089] lang/mono: Update to 5.20 (5.10.0 dates to 2018-02)

bugzilla-noreply
In reply to this post by bugzilla-noreply
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238089

--- Comment #3 from Conrad Meyer <[hidden email]> ---
Hey Dave,

It's a happy coincidence! :-)  Your patch looks good to me, although I am not a
ports committer and cannot approve it.

--
You are receiving this mail because:
You are the assignee for the bug.
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-mono
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

[Bug 238089] lang/mono: Update to 5.20 (5.10.0 dates to 2018-02)

bugzilla-noreply
In reply to this post by bugzilla-noreply
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238089

Conrad Meyer <[hidden email]> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
           Keywords|needs-patch                 |patch

--
You are receiving this mail because:
You are the assignee for the bug.
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-mono
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

[Bug 238089] lang/mono: Update to 5.20 (5.10.0 dates to 2018-02)

bugzilla-noreply
In reply to this post by bugzilla-noreply
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238089

--- Comment #4 from Daniel Porsch <[hidden email]> ---
I tried this patch but I got this error:
===>  Building package for mono-5.20.1.19_1
pkg-static: Unable to access file
/wrkdirs/usr/ports/lang/mono/work/stage/usr/local/share/locale/de/LC_MESSAGES/mcs.mo:No
such file or directory
pkg-static: Unable to access file
/wrkdirs/usr/ports/lang/mono/work/stage/usr/local/share/locale/es/LC_MESSAGES/mcs.mo:No
such file or directory
pkg-static: Unable to access file
/wrkdirs/usr/ports/lang/mono/work/stage/usr/local/share/locale/ja/LC_MESSAGES/mcs.mo:No
such file or directory
pkg-static: Unable to access file
/wrkdirs/usr/ports/lang/mono/work/stage/usr/local/share/locale/pt_BR/LC_MESSAGES/mcs.mo:No
such file or directory
*** Error code 1

Stop.
make: stopped in /usr/ports/lang/mono
=>> Cleaning up wrkdir
===>  Cleaning for mono-5.20.1.19_1
build of lang/mono | mono-5.20.1.19_1 ended at Wed May 29 17:34:24 CEST 2019
build time: 00:57:23
!!! build failure encountered !!!

Full log here:
https://poudriere.digiworks.se/data/freebsd_12-0x64-HEAD/2019-05-29_16h36m37s/logs/errors/mono-5.20.1.19_1.log

Not sure whats wrong? It seem to build, but the packaging fails. :-(

--
You are receiving this mail because:
You are the assignee for the bug.
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-mono
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

[Bug 238089] lang/mono: Update to 5.20 (5.10.0 dates to 2018-02)

bugzilla-noreply
In reply to this post by bugzilla-noreply
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238089

--- Comment #5 from Daniel Porsch <[hidden email]> ---
It worked after removing NLS from options_unset in make.conf
(In reply to Daniel Porsch from comment #4)

--
You are receiving this mail because:
You are the assignee for the bug.
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-mono
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

[Bug 238089] lang/mono: Update to 5.20 (5.10.0 dates to 2018-02)

bugzilla-noreply
In reply to this post by bugzilla-noreply
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238089

Thibault Payet <[hidden email]> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |[hidden email]

--- Comment #6 from Thibault Payet <[hidden email]> ---
(In reply to Daniel Porsch from comment #4)
For this the fix is to append %%NLS%% the corresponding files in the pkg-plist,
so that the patch should be more ok

--
You are receiving this mail because:
You are the assignee for the bug.
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-mono
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

[Bug 238089] lang/mono: Update to 5.20 (5.10.0 dates to 2018-02)

bugzilla-noreply
In reply to this post by bugzilla-noreply
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238089

Igor Zabelin <[hidden email]> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |[hidden email]

--- Comment #7 from Igor Zabelin <[hidden email]> ---
I have a question, for what is py-pillow needed here? As RUN_DEPENDS?
Don't see any references to use this.
Py-pillow requires by default a lot of dependencies.


CONFLICTS_INSTALL=      czmq-3*
also not actual (bug 223188)

--
You are receiving this mail because:
You are the assignee for the bug.
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-mono
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

[Bug 238089] lang/mono: Update to 5.20 (5.10.0 dates to 2018-02)

bugzilla-noreply
In reply to this post by bugzilla-noreply
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238089

--- Comment #8 from Igor Zabelin <[hidden email]> ---
Created attachment 205999
  --> https://bugs.freebsd.org/bugzilla/attachment.cgi?id=205999&action=edit
patch 5.20.1.34

Py-pillow is needed only for mono-heapviz tool which is not used in all cases.
Here's my version of the patch for 5.20.1.34. mono-heapviz optional and
disabled by default.
Fixed postexec cert-sync in pkg-plist. Mono certificate store must be
synchronized with ca_root_nss after install.

--
You are receiving this mail because:
You are the assignee for the bug.
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-mono
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

[Bug 238089] lang/mono: Update to 5.20 (5.10.0 dates to 2018-02)

bugzilla-noreply
In reply to this post by bugzilla-noreply
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238089

[hidden email] changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |[hidden email]

--- Comment #9 from [hidden email] ---
I know me too posts are in general frowned upon and should be avoided, but I'd
like to chime in that the importance of this is raising, as many mono-reliant
packages have moved off of 5.10 and will only support them for a short-while
longer (such as the Sonarr project).

--
You are receiving this mail because:
You are the assignee for the bug.
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-mono
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

[Bug 238089] lang/mono: Update to 5.20 (5.10.0 dates to 2018-02)

bugzilla-noreply
In reply to this post by bugzilla-noreply
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238089

--- Comment #10 from kralizeck <[hidden email]> ---
(In reply to Igor Zabelin from comment #8)
I'm trying to apply your patch with no luck... I'm newby in this matters..

On a copy of /usr/ports/lang/mono I run:
patch -C < /tmp/mono-patch-5.20.1.34

with no errors, so I apply the patch:

patch < /tmp/mono-patch-5.20.1.34

All seems ok.

Now I run:
make install clean

This is the output:

===>  License MIT accepted by the user
===>   mono-5.20.1.34 depends on file: /usr/local/sbin/pkg - found
=> mono-5.20.1.34.tar.bz2 doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch
https://download.mono-project.com/sources/mono/mono-5.20.1.34.tar.bz2
mono-5.20.1.34.tar.bz2                                 235 MB   65 MBps    04s
=> monolite-linux-1051000004-latest.tar.gz doesn't seem to exist in
/usr/ports/distfiles/.
=> Attempting to fetch
http://download.mono-project.com/monolite/monolite-linux-1051000004-latest.tar.gz
monolite-linux-1051000004-latest.tar.gz               4707 kB   16 MBps    00s
===> Fetching all distfiles required by mono-5.20.1.34 for building
===>  Extracting for mono-5.20.1.34
=> SHA256 Checksum OK for mono-5.20.1.34.tar.bz2.
=> SHA256 Checksum OK for monolite-linux-1051000004-latest.tar.gz.
/bin/mkdir -p
/hdd3/root/downgrades/mono/work/mono-5.20.1.34/mcs/class/lib/monolite-linux
/bin/mv /hdd3/root/downgrades/mono/work/monolite-linux-1051000004-latest
/hdd3/root/downgrades/mono/work/mono-5.20.1.34/mcs/class/lib/monolite-linux/1051000004
===>  Patching for mono-5.20.1.34
===>  Applying FreeBSD patches for mono-5.20.1.34
  I can't seem to find a patch in there anywhere.
=> FreeBSD patch patch-configure.ac failed to apply cleanly.
*** Error code 1

Stop.
make[1]: stopped in /hdd3/root/downgrades/mono
*** Error code 1

Stop.
make: stopped in /hdd3/root/downgrades/mono


The file files/patch-configure.ac is empty.

Am I missing any step to apply the patch?
Thanks.

--
You are receiving this mail because:
You are the assignee for the bug.
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-mono
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

[Bug 238089] lang/mono: Update to 5.20 (5.10.0 dates to 2018-02)

bugzilla-noreply
In reply to this post by bugzilla-noreply
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238089

Henno Schooljan <[hidden email]> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |[hidden email]

--- Comment #11 from Henno Schooljan <[hidden email]> ---
Apparently these zero-length files should be removed, patch -E should do that.

--
You are receiving this mail because:
You are the assignee for the bug.
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-mono
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

[Bug 238089] lang/mono: Update to 5.20 (5.10.0 dates to 2018-02)

bugzilla-noreply
In reply to this post by bugzilla-noreply
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238089

--- Comment #12 from kralizeck <[hidden email]> ---
(In reply to Henno Schooljan from comment #11)
Thanks!
It works.

On a clean copy of the mono 5.10 port I ran:

patch -E < /tmp/mono-patch-5.20.1.34
make install clean

It point finally to run make deinstall and make reinstall.

Sonarr, radarr and jackett are working without problems.

--
You are receiving this mail because:
You are the assignee for the bug.
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-mono
To unsubscribe, send any mail to "[hidden email]"